﻿.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    cursor: pointer;
    border-radius: 3px;
    background: #F5F5F5;
    padding-top: 8px;
    padding-left: 8px;
    padding-right: 6px;
    padding-bottom: 8px;
}

.custom-file-upload:disabled, .custom-file-upload[disabled]{
    border: 1px solid #ccc;
    display: inline-block;
    cursor: default;
    border-radius: 3px;
    background: #F5F5F5;
    padding-top: 8px;
    padding-left: 8px;
    padding-right: 6px;
    padding-bottom: 8px;
    color: #AAAAAA;
}


.dx-button-mode-contained.dx-button-success {
  background-color: #F42F63;
  border-color: transparent;
  color: #fff;
}

.dx-button-mode-contained.dx-button-success .dx-icon {
  color: #fff;
}
.dx-button-mode-contained.dx-button-success.dx-state-hover .dx-icon{
  color: #000;
}
.dx-button-mode-contained.dx-button-success.dx-state-focused .dx-icon{
  color: #000;
}
.dx-button-mode-contained.dx-button-success.dx-state-active .dx-icon{
  color: #000;
}

.dx-button-mode-contained.dx-button-success.dx-state-hover {
  background-color: #CCCCCC;
  border-color: transparent;
  color: #000;
}
.dx-button-mode-contained.dx-button-success.dx-state-focused {
  background-color: #CCCCCC;
  border-color: transparent;
  color: #000;
}
.dx-button-mode-contained.dx-button-success.dx-state-active {
  background-color: #BBBBBB;
  border-color: transparent;
  color: #000;
}

#MyMainToolBar{
    background-color: #eeeeee;
}


.Violet {
 color: #F22E63;
}


.dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused {
  background-color: #6f91cb;
  color: #fff;
}


.dx-datagrid-rowsview :not(.dx-row-focused).dx-selection.dx-row > td, .dx-datagrid-rowsview :not(.dx-row-focused).dx-selection.dx-row:hover > td, .dx-datagrid-rowsview :not(.dx-row-focused).dx-selection.dx-row > tr > td, .dx-datagrid-rowsview :not(.dx-row-focused).dx-selection.dx-row:hover > tr > td {
    background-color: #6f91cb;
    color: #fff;
}


.dx-datagrid-group-closed {
    font: 14px/1 DXIcons;
    width: 18px;
    height: 18px;
    background-position: 0px 0px;
    background-size: 18px 18px;
    padding: 0px;
    font-size: 18px;
    text-align: center;
    line-height: 18px;
    color: inherit;
}

.dx-datagrid-group-opened {
    font: 14px/1 DXIcons;
    width: 18px;
    height: 18px;
    background-position: 0px 0px;
    background-size: 18px 18px;
    padding: 0px;
    font-size: 18px;
    text-align: center;
    line-height: 18px;
    color: inherit;
}

.SinBorde {
    margin-top:10px;
    margin-left:2px;
    line-height:25px;
    height:25px;
}

.SinBordeSingle {
    margin-top:5px;
    margin-left:2px;
    line-height:15px;
    height:15px;
}

.Chulo {
    margin-right:8px;
    color:green;
    float:right;
    margin-top:4px;
}


.dx-popup-content.dx-dialog-content {
    padding-bottom: 0px;
}

.dx-texteditor.dx-state-readonly {
    border-style: dotted;
}

.dx-multiview-wrapper {
    padding:10px;
}

.PaddingT5B5 {
    padding-top:5px;
    padding-bottom:5px;
}


.dx-overlay-shader {
    background-color: transparent;
}



.dx-fa-button.dx-fa-button-main .dx-overlay-content {
  background-color: #F42F63;
}
.dx-fa-button.dx-fa-button-main .dx-overlay-content.dx-state-hover {
  background-color: #F42F63;
}
.dx-fa-button.dx-fa-button-main .dx-overlay-content.dx-state-hover .dx-fa-button-icon {
  background-color: transparent;
}
.dx-fa-button.dx-fa-button-main .dx-overlay-content.dx-state-active {
  background-color: #EA2559;
}


.dx-list-group-header {
    padding-bottom: 10px;
    padding-top: 10px;
    padding-right: 10px;
    padding-left: 10px;
}

.dx-list-group-header {
    border-bottom-width: 0px;
}

:first-of-type.dx-list-item {
    border-top: 2px solid #ddd;
}



.dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-active {
  background-color: #6f91cb;
  color: #fff;
}


#ListTechDocs .dx-list-group-body {
    height: 0px;
}

#ListComunicadoTecnicoAdmin .dx-list-group-body {
    height: 0px;
}

#ListComunicadoTecnico .dx-list-group-body {
    height: 0px;
}




#ListComunicadoAdministrativo .dx-list-group-body {
    height: 0px;
}

#ListResolucionDoc .dx-list-group-body {
    height: 0px;
}

#MyTextEditorOld textarea.dx-texteditor-input {  
    white-space: nowrap!important;  
}  


.dx-list-group-header
{
    background-color: #f8f8f8;
}

.dx-list-item, .dx-list .dx-empty-message {
    border-top: 1px solid #ddd;
    border-top-width: 1px;
    color: #333;
}




.dx-accordion-item-body {
    padding-top: 0px;
    padding-bottom: 12px;
}



.dx-accordion-item-title {
    padding-bottom: 5px;
    padding-top: 5px;
    font-size: 14px;
    background-color:#f8f8f8;
}


.mergefields .cke_combo_inlinelabel {
     width: 250px;
 }

.cke_combo_text  {
  width: auto !important;
}
.cke_combopanel {
  width: auto !important;
  height:auto !important;
}


#GridResolucion .dx-datagrid .dx-row > td {
    padding-right: 3px;
    padding-left: 3px;
}

#ButtonGroupRoles .dx-button-has-text .dx-button-content {
    padding-left: 8px;
    padding-right: 8px;
}

#ButtonGroupAsignable .dx-button-has-text .dx-button-content {
    padding-left: 8px;
    padding-right: 8px;
}



.cke_resizer, .cke_resizer_vertical, .cke_resizer_ltr{
    visibility: hidden;
}


#ListTechDocuments .dx-list-group-body {
    height: 0px;
}


#ListTechDocuments .dx-list-item, .dx-list .dx-empty-message {
    border-top: 1px solid #ddd;
    border-top-width: 2px;
}

#ListPrincipal :first-of-type.dx-list-item {
    border-top: 0px solid #ddd;
}



#ListPrincipal .dx-list-item, .dx-list .dx-empty-message {
    border-top: 1px solid #ddd;
    border-top-width: 1px;
    border-image: linear-gradient(to right, #DDD, transparent,  transparent);
    border-image-slice:1;

}

#ListPrincipal .dx-empty-message {
    border-top: 1px solid #ddd;
    border-top-width: 0px;
}

#ListPrincipal.dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-active {
 background: linear-gradient(90deg, rgba(111,145,203,1) 0, transparent 65%, transparent 100%);
  
  color: #fff;
}

#ListPrincipal.dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-focused {
    background: linear-gradient(90deg, rgba(111,145,203,1) 0, transparent 65%, transparent 100%);
  
  color: #fff;
}

#ListPrincipal.dx-list:not(.dx-list-select-decorator-enabled) .dx-list-item.dx-state-hover {
  background: linear-gradient(90deg, rgba(0, 0, 0, 0.04) 0, transparent 65%, transparent 100%);
  color: #333;
}

.dx-datagrid-header-panel {
    display:none;
}

.dx-dropdowneditor-button {
    width: 25px;
    min-width: 25px;
}


.dx-datagrid-headers .dx-texteditor-input, .dx-datagrid-rowsview .dx-texteditor-input {
    padding-right: 3px;
    padding-left: 3px;
}


#btnLogin .dx-loadindicator-icon .dx-loadindicator-segment {
    background:white
}

#GridOtorgaFiles .dx-datagrid .dx-row > td {
    padding: 0;
}

#GridOtorgaFilesPonderables .dx-datagrid .dx-row > td {
    padding: 0;
}